<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Get report's Quarto configuration — report_quarto_config • rdb.report</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Get report's Quarto configuration — report_quarto_config"><meta name="description" content="Reads in the configuration file(s) of the specified Quarto project profile(s) from the input/report/ directory and returns it as a named list."><meta property="og:description" content="Reads in the configuration file(s) of the specified Quarto project profile(s) from the input/report/ directory and returns it as a named list."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb.report</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9016</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb-report.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb.report/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Get report's Quarto configuration</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb.report/blob/HEAD/R/rdb.report.gen.R" class="external-link"><code>R/rdb.report.gen.R</code></a></small>
      <div class="d-none name"><code>report_quarto_config.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Reads in the configuration file(s) of the specified Quarto project <code>profile</code>(s) from the <code>input/report/</code> directory and returns it as a named list.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">report_quarto_config</span><span class="op">(</span>profile <span class="op">=</span> <span class="fu">quappo</span><span class="fu">::</span><span class="fu"><a href="https://quappo.rpkg.dev/reference/cur_profiles.html" class="external-link">cur_profiles</a></span><span class="op">(</span><span class="op">)</span>, partial <span class="op">=</span> <span class="cn">FALSE</span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-profile">profile<a class="anchor" aria-label="anchor" href="#arg-profile"></a></dt>
<dd><p><a href="https://quarto.org/docs/projects/profiles.html" class="external-link">Quarto project profile</a>(s) to use. One or more of
<code>"web"</code>, <code>"print"</code>, <code>"minimal"</code> and <code>"print_2023"</code>. If <code>NULL</code>, just <code>_quarto.yml</code> is read in without additional
profile-specific configuration.</p></dd>


<dt id="arg-partial">partial<a class="anchor" aria-label="anchor" href="#arg-partial"></a></dt>
<dd><p>Whether or not to return only the profile partial without complementing it by the main <code>_quarto.yml</code>.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A named list.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p><code><a href="https://quarto-dev.github.io/quarto-r/reference/quarto_inspect.html" class="external-link">quarto::quarto_inspect()</a></code></p>
<p>Other functions around report's configuration:
<code><a href="report_quarto_config_check.html">report_quarto_config_check</a>()</code>,
<code><a href="report_quarto_profiles.html">report_quarto_profiles</a>()</code>,
<code><a href="report_year.html">report_year</a>()</code>,
<code><a href="report_year_max.html">report_year_max</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="kw">if</span> <span class="op">(</span><span class="cn">FALSE</span><span class="op">)</span> <span class="op">{</span> <span class="co"># \dontrun{</span></span></span>
<span class="r-in"><span><span class="co"># only works from inside the rdb.report repo</span></span></span>
<span class="r-in"><span><span class="fu">rdb.report</span><span class="fu">::</span><span class="fu">report_quarto_config</span><span class="op">(</span>profile <span class="op">=</span> <span class="cn">NULL</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">purrr</span><span class="fu">::</span><span class="fu"><a href="https://purrr.tidyverse.org/reference/list_assign.html" class="external-link">list_assign</a></span><span class="op">(</span>title <span class="op">=</span> <span class="st">"My Report now, haha!"</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">yaml</span><span class="fu">::</span><span class="fu"><a href="https://rdrr.io/pkg/yaml/man/write_yaml.html" class="external-link">write_yaml</a></span><span class="op">(</span>file <span class="op">=</span> <span class="fu">rdb.report</span><span class="fu">::</span><span class="fu"><a href="path_pkg_repo.html">path_pkg_repo</a></span><span class="op">(</span><span class="st">"input/report/_quarto.yml"</span><span class="op">)</span>,</span></span>
<span class="r-in"><span>                   <span class="co"># ensure logicals are output as `true`/`false` to please Quarto's config</span></span></span>
<span class="r-in"><span>                   <span class="co"># validation (which requires YAML 1.2 compliance)</span></span></span>
<span class="r-in"><span>                   <span class="co"># cf. https://github.com/vubiostat/r-yaml/issues/76#issuecomment-2229015146</span></span></span>
<span class="r-in"><span>                   handlers <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/list.html" class="external-link">list</a></span><span class="op">(</span>logical <span class="op">=</span> <span class="fu">yaml</span><span class="fu">::</span><span class="fu"><a href="https://rdrr.io/pkg/yaml/man/verbatim_logical.html" class="external-link">verbatim_logical</a></span><span class="op">(</span><span class="op">)</span><span class="op">)</span><span class="op">)</span><span class="op">}</span> <span class="co"># }</span></span></span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

